Quassel IRC - Feature #608

topicview: "Drag to scroll the topic™ vs tooltips
03/07/2009 04:55 PM - DevUrandom

Status: Resolved Start date: 03/07/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

0S: Any

Description

"Drag to scroll the topic" is not a convenient solution.
Maybe use tooltips instead?

Associated revisions

Revision ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d - 08/22/2009 12:13 AM - Manuel Nickschas
Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make
Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

Revision ef20dd04 - 08/22/2009 12:13 AM - Manuel Nickschas

Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make

Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

History

#1 - 08/22/2009 12:11 AM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d.
